---
- entityDefinitions:
  - IDC_Device: '{51a0a1f6-cc81-4dbb-8b47-86745b9968f6}'

  - IDR_Device__has__Device_Type: '{84cf3bee-6e82-4a44-b823-df241e3b8edb}'
  - IDR_Device_Type__for__Device: '{aa947d3e-3952-4cc4-aa87-88e2641b0dc9}'
  - IDR_Device__has__Protocol: '{6d7e8bc3-0214-4c4e-8cfa-91c33cade601}'
  - IDR_Protocol__for__Device: '{ee7e3446-88c8-46c3-8e8a-735bcc2d6ab9}'
  - IDR_Device__has__Room: '{45495325-22f8-407e-ada0-68be24eb924f}'
  - IDR_Room__for__Device: '{e51006b2-8592-4380-b9a3-7721e0d367d6}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_Device;'
    name: 'Device'
    index: 21101
    customTagName: 'device'
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    relationships:
    - instance: '&IDR_Device__has__Device_Type;'
      customTagName: 'deviceTypeId'
    - instance: '&IDR_Device__has__Protocol;'
      customTagName: 'protocolId'
    - instance: '&IDR_Device__has__Room;'
      customTagName: 'roomId'
    defaultTask: '&IDI_Task_Device_View;'
    relatedTasks:
    - instance: '&IDI_Task_Device_View;'
    - instance: '&IDI_Task_Device_Edit;'

  - relationship: '&IDR_Device__has__Device_Type;'
    sourceClassId: '&IDC_Device;'
    type: 'has'
    destinationClassId: '&IDC_DeviceType;'
    siblingRelationshipId: '&IDR_Device_Type__for__Device;'
    singular: yes

  - relationship: '&IDR_Device_Type__for__Device;'
    sourceClassId: '&IDC_DeviceType;'
    type: 'for'
    destinationClassId: '&IDC_Device;'
    siblingRelationshipId: '&IDR_Device__has__Device_Type;'
    singular: no

  - relationship: '&IDR_Device__has__Protocol;'
    sourceClassId: '&IDC_Device;'
    type: 'has'
    destinationClassId: '&IDC_Protocol;'
    siblingRelationshipId: '&IDR_Protocol__for__Device;'
    singular: yes

  - relationship: '&IDR_Protocol__for__Device;'
    sourceClassId: '&IDC_Protocol;'
    type: 'for'
    destinationClassId: '&IDC_Device;'
    siblingRelationshipId: '&IDR_Device__has__Protocol;'
    singular: no

  - relationship: '&IDR_Device__has__Room;'
    sourceClassId: '&IDC_Device;'
    type: 'has'
    destinationClassId: '&IDC_Room;'
    siblingRelationshipId: '&IDR_Room__for__Device;'
    singular: yes

  - relationship: '&IDR_Room__for__Device;'
    sourceClassId: '&IDC_Room;'
    type: 'for'
    destinationClassId: '&IDC_Device;'
    siblingRelationshipId: '&IDR_Device__has__Room;'
    singular: no

  - device: '{235b454f-de7d-40b8-96bf-9b5fdc0fd4cf}'
    name: 'lenovo-14IIL'
    deviceTypeId: '{168850c5-150f-47ea-8671-7c73a7a8cabc}'
    protocolId: '{c664b941-f6e8-4861-938a-9aa854bd89f3}'

  - device: '{89f75de0-c782-494d-9026-28d85f3e048a}'
    name: 'Living Room Lights Behind TV'
    deviceTypeId: '{45a2407a-9422-42cf-b588-2dfdeeb65733}'
    protocolId: '{4b18ce2d-a5a3-4ccb-99f4-32a2e781fc34}'
    roomId: '{b8136d2a-8238-443b-8d9e-4f47c8a47c4b}'

  - device: '{47a85ac8-ba23-46ac-b000-c6e7d43a29bf}'
    name: 'Thermostat'
    deviceTypeId: '{d6c4d815-5663-488d-b559-4fa12d65614d}'
    protocolId: '{c664b941-f6e8-4861-938a-9aa854bd89f3}'
    roomId: '{b8136d2a-8238-443b-8d9e-4f47c8a47c4b}'